org.firstinspires.ftc.robotcore.external.navigation

## Enum RelicRecoveryVuMark

- java.lang.Object
- - java.lang.Enum<RelicRecoveryVuMark>
  - - org.firstinspires.ftc.robotcore.external.navigation.RelicRecoveryVuMark

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RelicRecoveryVuMark>

      public enum RelicRecoveryVuMark
      extends java.lang.Enum<RelicRecoveryVuMark>

  Instances of `RelicRecoveryVuMark` represent the VuMarks used in the Relic Recovery FTC competition of 2017-18.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER`
    `LEFT`
    `RIGHT`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RelicRecoveryVuMark` | `from(VuforiaTrackable.Listener listener)`
    `static RelicRecoveryVuMark` | `from(VuforiaTrackable trackable)`
    `static RelicRecoveryVuMark` | `from(VuMarkInstanceId instanceId)`
    `static RelicRecoveryVuMark` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RelicRecoveryVuMark[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final RelicRecoveryVuMark UNKNOWN

    - #### LEFT

          public static final RelicRecoveryVuMark LEFT

    - #### CENTER

          public static final RelicRecoveryVuMark CENTER

    - #### RIGHT

          public static final RelicRecoveryVuMark RIGHT

  - ### Method Detail

    - #### values

          public static RelicRecoveryVuMark[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RelicRecoveryVuMark c : RelicRecoveryVuMark.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RelicRecoveryVuMark valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### from

          public static RelicRecoveryVuMark from(VuforiaTrackable trackable)

    - #### from

          public static RelicRecoveryVuMark from(VuforiaTrackable.Listener listener)

    - #### from

          public static RelicRecoveryVuMark from(VuMarkInstanceId instanceId)